> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get RTSP endpoints

> Gets rtsp endpoints for device with the specified mac address.



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/relay/getRtspEndpoints
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/relay/getRtspEndpoints:
    post:
      tags:
        - Relay Webservice
      summary: Get RTSP endpoints
      description: Gets rtsp endpoints for device with the specified mac address.
      operationId: getRtspEndpoints
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Relay_GetRtspEndpointsWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Relay_GetRtspEndpointsWSResponse'
          description: OK
components:
  schemas:
    Relay_GetRtspEndpointsWSRequest:
      type: object
      description: >-
        Request object for getting RTSP endpoints for a device with the
        specified MAC address.
      properties:
        discoveredCameraMacAddress:
          type: string
          description: MAC address of the discovered camera to get RTSP endpoints for
          nullable: true
    Relay_GetRtspEndpointsWSResponse:
      type: object
      description: >-
        Response object containing RTSP endpoints for a device with the
        specified MAC address.
      properties:
        rtspEndpoints:
          type: array
          description: List of RTSP endpoints for the discovered camera
          items:
            $ref: '#/components/schemas/Relay_ExternalRtspEndpoint'
          nullable: true
    Relay_ExternalRtspEndpoint:
      type: object
      description: External RTSP endpoint configuration for camera streams.
      properties:
        lastRtspUrlStatus:
          $ref: '#/components/schemas/UrlStatusEnum'
        password:
          type: string
          description: Password for RTSP authentication
          example: password123
          nullable: true
        rtspUrl:
          type: string
          description: RTSP URL for the camera stream
          example: rtsp://192.168.1.100:554/stream1
          nullable: true
        source:
          $ref: '#/components/schemas/RtspEndpointSourceEnum'
        username:
          type: string
          description: Username for RTSP authentication
          example: admin
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    UrlStatusEnum:
      type: string
      description: Status of the RTSP URL validation
      enum:
        - UNKNOWN
        - NOT_REACHABLE
        - NOT_AUTHENTICATED
        - NOT_SUPPORTED
        - GOOD
    RtspEndpointSourceEnum:
      type: string
      enum:
        - USER
        - ONVIF
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````